﻿using Syncfusion.SfCalendar.XForms;
using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace MemoryLeakSfCalendar
{
    class CalendarBehavior: Behavior<ContentPage>
    {
        SfCalendar calendar;
        SfPopupLayout popupLayout;
        Button clickToShowPopup;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            popupLayout = bindable.FindByName<SfPopupLayout>("popupLayout");
            clickToShowPopup = bindable.FindByName<Button>("clickToShowPopup");
            clickToShowPopup.Clicked += ClickToShowPopup_Clicked;
        }

        private void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            popupLayout.Show(); 
        }
    }
}
