﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace MemoryLeakSfCalendar
{
   public class ViewModel
    {
        public ICommand OnSelectionChanged { get; set; }

        DateTime moveToDate = DateTime.Now;
        public DateTime MoveToDate
        {
            get
            {
                return this.moveToDate;
            }
            set
            {
                this.moveToDate = value;
            }
        }

        public ViewModel()
        {
            OnSelectionChanged = new Command<Syncfusion.SfCalendar.XForms.SelectionChangedEventArgs>(SelectionChanged);
        }

        private void SelectionChanged(Syncfusion.SfCalendar.XForms.SelectionChangedEventArgs obj)
        {
            MoveToDate = obj.DateAdded[0];
        }
    }
}
